Skip to main content
GET
/
unified
/
hris
/
benefits
/
{id}
Get Benefit
curl --request GET \
  --url https://api.stackone.com/unified/hris/benefits/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'x-account-id: <x-account-id>'
import requests

url = "https://api.stackone.com/unified/hris/benefits/{id}"

headers = {
    "x-account-id": "<x-account-id>",
    "Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-account-id': '<x-account-id>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://api.stackone.com/unified/hris/benefits/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
    "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
    "name": "Health Insurance",
    "benefit_type": {
      "source_value": "<string>"
    },
    "provider": "Aetna",
    "description": "Health insurance for employees",
    "created_at": "2021-01-01T00:00:00Z",
    "updated_at": "2021-01-01T00:00:00Z"
  },
  "raw": [
    {
      "method": "<string>",
      "url": "<string>",
      "body": {},
      "response": {}
    }
  ]
}
{
  "statusCode": 400,
  "message": "Bad Request",
  "timestamp": "2023-05-30T00:00:00.000Z",
  "data": {
    "statusCode": 400,
    "message": "Bad Request",
    "headers": {
      "content-type": "application/json",
      "x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
    }
  },
  "provider_errors": [
    {
      "status": 400,
      "url": "https://api.provider.com/v1/resource",
      "raw": {
        "message": "Invalid input parameters"
      },
      "headers": {
        "content-type": "application/json",
        "x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
      }
    }
  ]
}
{
  "statusCode": 401,
  "message": "Unauthorized",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 403,
  "message": "Forbidden resource",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 404,
  "message": "Not Found",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 408,
  "message": "Request timed out",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 409,
  "message": "Conflict",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 412,
  "message": "Precondition failed",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 422,
  "message": "Unprocessable Entity",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 429,
  "message": "Too many requests",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 500,
  "message": "Internal server error",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 501,
  "message": "Not Implemented",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 502,
  "message": "Bad Gateway",
  "timestamp": "2023-05-30T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Path Parameters

id
string
required

Query Parameters

raw
boolean | null

Indicates that the raw request result should be returned in addition to the mapped result (default value is false)

proxy
object | null

Query parameters that can be used to pass through parameters to the underlying provider request by surrounding them with 'proxy' key

fields
string | null

The comma separated list of fields that will be returned in the response (if empty, all fields are returned)

Example:

"id,remote_id,name,benefit_type,provider,description,created_at,updated_at,unified_custom_fields"

Response

The Benefit with the given identifier was retrieved.

data
object
required
raw
object[] | null